Package com.xebialabs.xlrelease.domain

## Class DependencyTarget$

- java.lang.Object
- - scala.runtime.AbstractFunction19<java.lang.Integer,​java.lang.String,​Type,​java.lang.String,​java.lang.String,​java.lang.String,​java.lang.String,​PhaseStatus,​java.lang.String,​java.lang.String,​java.lang.String,​TaskStatus,​FlagStatus,​java.lang.String,​java.util.Date,​java.util.Date,​java.util.Date,​java.util.Date,​java.lang.Integer,​DependencyTarget>
  - - com.xebialabs.xlrelease.domain.DependencyTarget$

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Function19<java.lang.Integer,​java.lang.String,​Type,​java.lang.String,​java.lang.String,​java.lang.String,​java.lang.String,​PhaseStatus,​java.lang.String,​java.lang.String,​java.lang.String,​TaskStatus,​FlagStatus,​java.lang.String,​java.util.Date,​java.util.Date,​java.util.Date,​java.util.Date,​java.lang.Integer,​DependencyTarget>`

      public class DependencyTarget$
      extends scala.runtime.AbstractFunction19<java.lang.Integer,​java.lang.String,​Type,​java.lang.String,​java.lang.String,​java.lang.String,​java.lang.String,​PhaseStatus,​java.lang.String,​java.lang.String,​java.lang.String,​TaskStatus,​FlagStatus,​java.lang.String,​java.util.Date,​java.util.Date,​java.util.Date,​java.util.Date,​java.lang.Integer,​DependencyTarget>
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static DependencyTarget$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DependencyTarget$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DependencyTarget` | `apply​(java.lang.Integer targetReleaseUid, java.lang.String targetId, Type targetType, java.lang.String releaseTitle, java.lang.String phaseId, java.lang.String phaseTitle, java.lang.String resolvedPhaseTitle, PhaseStatus phaseStatus, java.lang.String taskId, java.lang.String taskTitle, java.lang.String resolvedTaskTitle, TaskStatus taskStatus, FlagStatus releaseFlagStatus, java.lang.String releaseFlagComment, java.util.Date startDate, java.util.Date endDate, java.util.Date scheduledStartDate, java.util.Date dueDate, java.lang.Integer plannedDuration)` |
    `java.lang.String` | `toString()` |
    `scala.Option<scala.Tuple19<java.lang.Integer,​java.lang.String,​Type,​java.lang.String,​java.lang.String,​java.lang.String,​java.lang.String,​PhaseStatus,​java.lang.String,​java.lang.String,​java.lang.String,​TaskStatus,​FlagStatus,​java.lang.String,​java.util.Date,​java.util.Date,​java.util.Date,​java.util.Date,​java.lang.Integer>>` | `unapply​(DependencyTarget x$0)` |

    - ### Methods inherited from class scala.runtime.AbstractFunction19

      `curried, tupled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final DependencyTarget$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### DependencyTarget$

          public DependencyTarget$()

  - ### Method Detail

    - #### toString

          public final java.lang.String toString()

      Specified by:
        `toString` in interface `scala.Function19<java.lang.Integer,​java.lang.String,​Type,​java.lang.String,​java.lang.String,​java.lang.String,​java.lang.String,​PhaseStatus,​java.lang.String,​java.lang.String,​java.lang.String,​TaskStatus,​FlagStatus,​java.lang.String,​java.util.Date,​java.util.Date,​java.util.Date,​java.util.Date,​java.lang.Integer,​DependencyTarget>`
      Overrides:
        `toString` in class `scala.runtime.AbstractFunction19<java.lang.Integer,​java.lang.String,​Type,​java.lang.String,​java.lang.String,​java.lang.String,​java.lang.String,​PhaseStatus,​java.lang.String,​java.lang.String,​java.lang.String,​TaskStatus,​FlagStatus,​java.lang.String,​java.util.Date,​java.util.Date,​java.util.Date,​java.util.Date,​java.lang.Integer,​DependencyTarget>`

    - #### apply

          public DependencyTarget apply​(java.lang.Integer targetReleaseUid,
                                        java.lang.String targetId,
                                        Type targetType,
                                        java.lang.String releaseTitle,
                                        java.lang.String phaseId,
                                        java.lang.String phaseTitle,
                                        java.lang.String resolvedPhaseTitle,
                                        PhaseStatus phaseStatus,
                                        java.lang.String taskId,
                                        java.lang.String taskTitle,
                                        java.lang.String resolvedTaskTitle,
                                        TaskStatus taskStatus,
                                        FlagStatus releaseFlagStatus,
                                        java.lang.String releaseFlagComment,
                                        java.util.Date startDate,
                                        java.util.Date endDate,
                                        java.util.Date scheduledStartDate,
                                        java.util.Date dueDate,
                                        java.lang.Integer plannedDuration)

      Specified by:
        `apply` in interface `scala.Function19<java.lang.Integer,​java.lang.String,​Type,​java.lang.String,​java.lang.String,​java.lang.String,​java.lang.String,​PhaseStatus,​java.lang.String,​java.lang.String,​java.lang.String,​TaskStatus,​FlagStatus,​java.lang.String,​java.util.Date,​java.util.Date,​java.util.Date,​java.util.Date,​java.lang.Integer,​DependencyTarget>`

    - #### unapply

          public scala.Option<scala.Tuple19<java.lang.Integer,​java.lang.String,​Type,​java.lang.String,​java.lang.String,​java.lang.String,​java.lang.String,​PhaseStatus,​java.lang.String,​java.lang.String,​java.lang.String,​TaskStatus,​FlagStatus,​java.lang.String,​java.util.Date,​java.util.Date,​java.util.Date,​java.util.Date,​java.lang.Integer>> unapply​(DependencyTarget x$0)